/* Page template: Blog */
.page-template-blog {
	.page-wrapper {
		.header {
			position: relative;
			
			.header__video {
				.header__video--inner {
					video {
						display: block;
					}
				}
			}
		}
		
		
		#wrapper-scroll-nav {
			width: 100%;
			
			ul {
				padding-top: 30px;
			}
			
			&.scrolling {
				position: fixed;
				top: 80px;
				z-index: 2;
				
				ul {
					padding-bottom: 20px;
				}
			}
		}
		
		
		.section-priority {
			position: relative;
			margin-bottom: 100px;
			@media only screen and (max-width: 1024px) {
				margin-bottom: 0;
			}
		
			.image {
				img {
					display: block;
					width: 100%;
					height: 550px;
					object-fit: cover;
					@media only screen and (max-width: 1024px) {
						height: 500px;
					}
					@media only screen and (max-width: 768px) {
						height: 450px;
					}
				}
			}
		
			.text {
				position: absolute;
				top: 0;
				right: 0;
				bottom: 0;
				left: 0;
				display: flex;
				justify-content: center;
				align-items: center;
				padding: 0 25px;
				background-color: #00000078;

				.inner {
					width: 100%;
					max-width: 700px;
					text-align: center;
					color: #fff;

					h2 {
						margin-bottom: 30px;
						font-family: var(--tl-font-bodoni);
						font-weight: 400;
						font-variation-settings: 'wght' 400;
						text-align: center;
						@media only screen and (max-width: 768px) {
							font-size: 24px;
						}
					}

					.body-text {
						width: 100%;
						max-width: 500px;
						margin: 0 auto;
						text-align: justify;
						text-align-last: center;
					}

					.button-discover-now {
						margin: 50px auto 0 auto;
					}
				}
			}

			&.priority-half {
				display: flex;
				gap: 15px;
				@media only screen and (max-width: 768px) {
					flex-wrap: wrap;
					gap: 100px;
				}

				.priority {
					width: 100%;
					position: relative;
				}
			}
		}
		
		
		.wrapper-blogposts {
			padding-top: 100px;
			@media only screen and (max-width: 768px) {
				padding-top: 80px;
			}
			
			&:nth-of-type(n+2) {
				padding-top: 0;
			}
		}
	
	
		.producten {
			body.night & {
				background-color: var(--tl-black);
			}
			
			.producten__inner {
				max-width: 1400px;
				margin: 0 auto;
				padding: 50px clamp(24px, 10vw, 120px) 50px clamp(24px, 10vw, 120px);
				@media only screen and (max-width: 1024px) {
					padding: 50px clamp(24px, 10vw, 120px) 30px clamp(24px, 10vw, 120px);
				}
				@media only screen and (max-width: 1024px) {
					padding: 20px;
					padding-bottom: 0;
				}
			
				.swiper-producten {
					.swiper-wrapper {
						display: grid;
						grid-template-columns: repeat(2, 1fr);
						gap: 40px;
						@media only screen and (min-width: 1600px) {
							grid-template-columns: repeat(3, 1fr);
						}
						@media only screen and (max-width: 768px) {
							grid-template-columns: repeat(1, 1fr);
							gap: var(--general-margin);
						}

						.swiper-slide {
							width: 100% !important;
							aspect-ratio: auto;

							.swiper-slide__item {
								a {
									.swiper-slide__item--inner {
										background-color: var(--tl-white);

										img {
											height: 300px;
											@media only screen and (max-width: 768px) {
												height: 350px;
											}
										}

										.text {
											position: absolute;
											background-color: rgba(0, 0, 0, 0.5);
											color: var(--tl-white);
										}
									}

									&:hover {
										text-decoration: none;
									}
								}
							}
						}
					}

					.swiper-scrollbar {
						display: none;
					}
				}

				.swiper-next {
					display: none;
				}
			}
		}
	
	
		.newsletter {
			background-color: #fff;
			
			body.night & {
				background-color: var(--tl-black);
			}
		}
		
		
		.scroll-down {
			display: none;
		}
	}
}